Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.xml.schema.binding
Class SoapArrayCodecBase.EntryIterator

    java.lang.Object
      |
      +--weblogic.xml.schema.binding.SoapArrayCodecBase.EntryIterator

protected static class SoapArrayCodecBase.EntryIterator
extends java.lang.Object

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`SoapArrayCodecBase.EntryIterator(weblogic.xml.schema.binding.internal.SoapArrayDescriptor array_desc, Deserializer component_deserializer, XMLInputStream rdr, weblogic.xml.schema.binding.DeserializationContext ctx)`

Method Summary
`boolean` | `hasNext()`
`java.lang.Object` | `next()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SoapArrayCodecBase.EntryIterator

    public SoapArrayCodecBase.EntryIterator(weblogic.xml.schema.binding.internal.SoapArrayDescriptor array_desc,
                                            Deserializer component_deserializer,
                                            XMLInputStream rdr,
                                            weblogic.xml.schema.binding.DeserializationContext ctx)
                                     throws XMLStreamException,
                                            DeserializationException

Method Detail

### hasNext

    public boolean hasNext()

### next

    public java.lang.Object next()
                          throws XMLStreamException,
                                 DeserializationException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD